restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine > Struct Template Reference

Resulting regex and param extraction for a specific route. More...

`#include <path2regex.hpp>`

## Public Types

using | regex_t = typename Regex_Engine::compiled_regex_t

## Public Member Functions

| route_regex_matcher_data_t ()=default
| route_regex_matcher_data_t (const route_regex_matcher_data_t &)=delete
route_regex_matcher_data_t & | operator= (const route_regex_matcher_data_t &)=delete
| route_regex_matcher_data_t (route_regex_matcher_data_t &&)=default
route_regex_matcher_data_t & | operator= (route_regex_matcher_data_t &&)=delete

## Public Attributes

regex_t | m_regex
std::shared_ptr< std::string > | m_named_params_buffer
| Char buffer for holding named paramaters. More...
param_appender_sequence_t< Route_Param_Appender > | m_param_appender_sequence
| Appenders for captured values (names/indexed groups). More...

## Detailed Description

template<typename Route_Param_Appender, typename Regex_Engine>
struct restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >

Resulting regex and param extraction for a specific route.

Definition at line 749 of file path2regex.hpp.

## Member Typedef Documentation

## regex_t

template<typename Route_Param_Appender , typename Regex_Engine >

using restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::regex_t = typename Regex_Engine::compiled_regex_t

Definition at line 758 of file path2regex.hpp.

## Constructor & Destructor Documentation

## route_regex_matcher_data_t() [1/3]

template<typename Route_Param_Appender , typename Regex_Engine >

restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::route_regex_matcher_data_t | ( |  | ) |

default

## route_regex_matcher_data_t() [2/3]

template<typename Route_Param_Appender , typename Regex_Engine >

restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::route_regex_matcher_data_t | ( | const route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine > & |  | ) |

delete

## route_regex_matcher_data_t() [3/3]

template<typename Route_Param_Appender , typename Regex_Engine >

restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::route_regex_matcher_data_t | ( | route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine > && |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

template<typename Route_Param_Appender , typename Regex_Engine >

route_regex_matcher_data_t & restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::operator= | ( | const route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine > & |  | ) |

delete

## operator=() [2/2]

template<typename Route_Param_Appender , typename Regex_Engine >

route_regex_matcher_data_t & restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::operator= | ( | route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine > && |  | ) |

delete

## Member Data Documentation

## m_named_params_buffer

template<typename Route_Param_Appender , typename Regex_Engine >

std::shared_ptr< std::string > restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::m_named_params_buffer

Char buffer for holding named paramaters.

In order to store named parameters 'names' in a continous block of memory and use them in param_appender_sequence items as string_view.

Definition at line 767 of file path2regex.hpp.

## m_param_appender_sequence

template<typename Route_Param_Appender , typename Regex_Engine >

param_appender_sequence_t< Route_Param_Appender > restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::m_param_appender_sequence

Appenders for captured values (names/indexed groups).

Definition at line 770 of file path2regex.hpp.

## m_regex

template<typename Route_Param_Appender , typename Regex_Engine >

regex_t restinio::path2regex::impl::route_regex_matcher_data_t< Route_Param_Appender, Regex_Engine >::m_regex

Definition at line 760 of file path2regex.hpp.

The documentation for this struct was generated from the following file:

- restinio/path2regex/path2regex.hpp